{% extends "templates/form.njk" %}
{% from "packages/components/button/macro.njk" import button %}
{% from "macros/hrt-summary-list.njk" import hrtSummaryList %}
{% from "macros/hrt-certificate-summary-list.njk" import certificateDetailsSummaryList %}
{% from 'packages/components/warning-callout/macro.njk' import warningCallout %}
{% from 'macros/hrt-payment-info-box.njk' import hrtPaymentInfoBox %}

{% block formContent %}

  <h1 class="nhsuk-heading-l">{{ heading }}</h1>

  {{ warningCallout({
    "headingLevel": 2,
    "heading": warningCalloutHeading,
    "HTML": warningCalloutHTML
  }) }}

  <div id="about-you-claim-summary">
    {% for list, listRows in claimAboutYouSummaryLists %}
      {% set classes %}
      {% endset %}

      {{ hrtSummaryList({
        classes: classes,
        listRows: listRows,
        text: {
          heading: summaryListHeadings[list],
          change: changeText
        }
      }) }}
    {% endfor %}
  </div>

  <div id="certificate-claim-summary">
    <h2 class="nhsuk-heading-m">{{ summaryListHeadings.aboutCertificate }}</h2>
       {{ certificateDetailsSummaryList({
          rows: claimAboutCertificateRows
        }) }}
  </div>

  {{ hrtPaymentInfoBox({
        paymentInfoParagraph: paymentInfoParagraph,
        paymentInfoAppleAndGooglePayText: paymentInfoAppleAndGooglePayText,
        paymentInfoCardText: paymentInfoCardText,
        paymentWarningText: paymentWarningText,
        paymentWarningIconText: paymentWarningIconText,
        paymentServiceLink: paymentServiceLink,
        paymentServiceLinkText: paymentServiceLinkText
  }) }}

{% endblock %}